
Infrastructure - Task #2338

Story # 2335 (Closed): cn-sandbox environment needs deployment and testing for RC2

Deploy the CN stack on cn-sandbox-unm-1.dataone.org

2012-02-14 22:00 - Chris Jones

Status: Closed Start date: 2012-02-14

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The VM needs to be configured, and the following packages need to be installed, configured, and tested:

dataone-cn-index

dataone-cn-metacat

dataone-cn-os-core

dataone-cn-portal

dataone-cn-processdaemon

dataone-cn-rest-service

dataone-cn-solr

History

#1 - 2012-02-14 22:01 - Chris Jones

- Status changed from New to In Progress

#2 - 2012-02-17 17:34 - Chris Jones

Status: The CN stack is installed with the RC2 level code (from the maven repo). Metacat and LDAP replication are working.  The newest portal code

is not installed on this CN (waiting for the #2347 fix).  Without registered/verified identities, MNs can't be registered yet.  See 

https://redmine.dataone.org/issues/2347.

Once the portal issues are worked out, MNs should be registered, and sync/repl will be tested.

#3 - 2012-02-29 16:14 - Chris Jones

- Status changed from In Progress to Closed

The CN stack is deployed and MNs are registered. Since we're moving to RC3 I'm closing this out and testing will continue. Incoming connections on

port 389 is inaccessible, likely due to a UNM network issue. Dave's on it.
